<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>control/mmwave/src/mmwave.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_56ea320f36428fc096e6ea8f45d8dae0.html">control</a></li><li class="navelem"><a class="el" href="dir_bc5530914c18f88533c1e6a5b88262f4.html">mmwave</a></li><li class="navelem"><a class="el" href="dir_80f1ea73579a49cad871ea3dba22a1e5.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">mmwave.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The file implements the mmWave control module.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/DebugP.h&gt;</code><br />
<code>#include &lt;ti/control/mmwavelink/mmwavelink.h&gt;</code><br />
<code>#include &lt;<a class="el" href="mmwave_8h.html">ti/control/mmwave/mmwave.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="mmwave__internal_8h.html">ti/control/mmwave/include/mmwave_internal.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aaa9bd79013a02b4790f7135c97bc38a5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave_8c.html#aaa9bd79013a02b4790f7135c97bc38a5">MMWave_encodeError</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a> errorLevel, int32_t mmWaveError, int32_t subSysError)</td></tr>
<tr class="separator:aaa9bd79013a02b4790f7135c97bc38a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab01615f3c8764a3e638a6d5261733e55"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab01615f3c8764a3e638a6d5261733e55">MMWave_decodeError</a> (int32_t errCode, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a> *errorLevel, int16_t *mmWaveError, int16_t *subSysError)</td></tr>
<tr class="separator:gab01615f3c8764a3e638a6d5261733e55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b34ef285bfab9e77c45af54fde9ea93"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave_8c.html#a0b34ef285bfab9e77c45af54fde9ea93">MMWave_decodeErrorLevel</a> (int32_t errCode)</td></tr>
<tr class="separator:a0b34ef285bfab9e77c45af54fde9ea93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga11b05c9151ca387dc52dc6bec1a0d6e0"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga11b05c9151ca387dc52dc6bec1a0d6e0">MMWave_sync</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga11b05c9151ca387dc52dc6bec1a0d6e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa574a4299227f0e4a07469b8e69fc645"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa574a4299227f0e4a07469b8e69fc645">MMWave_execute</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:gaa574a4299227f0e4a07469b8e69fc645"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58b9f2692b9395a84c3649b29f90ba36"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga58b9f2692b9395a84c3649b29f90ba36">MMWave_config</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrControlCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga58b9f2692b9395a84c3649b29f90ba36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae72b02f34545d64f7f142d8bf72addee"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae72b02f34545d64f7f142d8bf72addee">MMWave_start</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, const <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab74b8aa10d9d13ceb14ae43009c9b9f6">MMWave_CalibrationCfg</a> *ptrCalibrationCfg, int32_t *errCode)</td></tr>
<tr class="separator:gae72b02f34545d64f7f142d8bf72addee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga923b000ece4cf70386391d335f344791"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga923b000ece4cf70386391d335f344791">MMWave_stop</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga923b000ece4cf70386391d335f344791"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga47235438ff5f54a0190cac74b31d0db0"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga47235438ff5f54a0190cac74b31d0db0">MMWave_open</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, const <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7575571078974e8112d94034521df44a">MMWave_OpenCfg</a> *ptrOpenCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga47235438ff5f54a0190cac74b31d0db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga076f91a364384386963e3d5cbfffc959"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga076f91a364384386963e3d5cbfffc959">MMWave_close</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga076f91a364384386963e3d5cbfffc959"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac59ad4bf4bd9044776dcbf7c000105a0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac59ad4bf4bd9044776dcbf7c000105a0">MMWave_init</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8668e22e2313c2a987bb28b5a81d29ef">MMWave_InitCfg</a> *ptrCtrlInitCfg, int32_t *errCode)</td></tr>
<tr class="separator:gac59ad4bf4bd9044776dcbf7c000105a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1c5f6a23fb51cfda717c6ea53ef6a4be"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1c5f6a23fb51cfda717c6ea53ef6a4be">MMWave_deinit</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a> mmWaveHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga1c5f6a23fb51cfda717c6ea53ef6a4be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae3c920b5a1a97cec9f25a10924a025f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3c920b5a1a97cec9f25a10924a025f9"></a>
<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave_8c.html#ae3c920b5a1a97cec9f25a10924a025f9">gMMWave_MCB</a></td></tr>
<tr class="memdesc:ae3c920b5a1a97cec9f25a10924a025f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This the global variable which track all the information which is required by the mmWave control module. <br /></td></tr>
<tr class="separator:ae3c920b5a1a97cec9f25a10924a025f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The file implements the mmWave control module. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a0b34ef285bfab9e77c45af54fde9ea93"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a> MMWave_decodeErrorLevel </td>
          <td>(</td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>errCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is a utility function which given the error code will return the corresponding error level.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">errCode</td><td>Encoded error code retreived from the mmWave API. This is the error code which will be decoded.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Decoded</td><td>Error Level </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaa9bd79013a02b4790f7135c97bc38a5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_encodeError </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a>&#160;</td>
          <td class="paramname"><em>errorLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>mmWaveError</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>subSysError</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to encode the error code. This encoded error will be returned back to the application.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">errorLevel</td><td>Error level to be encoded </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveError</td><td>Error code for the mmWave </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">subSysError</td><td>Subsystem error code</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Encoded</td><td>error code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
